<?php
/**
 * @package		jbreedm
 * @subpackage	
 * @author		Marc Letouze {@link http://www.protolbv.fr/jbreeding/}
 * @mailauthor	marc.letouze@liubov.net
 * @author		Created on 26-Jul-2009
 */
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.application.component.controller');

class ObjectifcarboneControllerConfig extends JController
{
    
    /**
	 * Custom Constructor
	 */
	function __construct( $default = array() )
	{
		// Set a default view if none exists
		if ( ! JRequest::getCmd( 'view' ) ) {
			
			JRequest::setVar('view', 'config' );
		}
		
		parent::__construct( $default );
		
		$this->registerTask( 'default', 'defaultConfig' );
	}
    
    
    function save()
        {
		
			// adding/modify by marc Letouze 22/09/11
            // load array '$label_type1' => get all params of LABEL_TYPE1 Group from models/Config.xml
            $label_type1 = JRequest::getVar( 'label_type1' , array() , 'POST' , 'array' );
            $co2_label =  JRequest::getVar( 'co2_label'  , array() , 'POST' , 'array' );
			$advanced =  JRequest::getVar( 'advanced'  , array() , 'POST' , 'array' );
            $label_type3 = JRequest::getVar( 'label_type3' , array() , 'POST' , 'array' );
            $label_type4 = JRequest::getVar( 'label_type4' , array() , 'POST' , 'array' );
    
            // load all params in $config
            $config = array_merge( $label_type1, $co2_label, $advanced, $label_type3, $label_type4 );
        // end of adding
        
        $component =& JComponentHelper::getComponent('com_objectifcarbone');
        
        $t_component =& JTable::getInstance('component');
        $t_component->load( $component->id );
        $t_component->bind( array('params'=> $config ));
        
        // adding/modify by marc Letouze 22/09/11
        // fix: adding &controller=config in the Link to redirect to _self page 
        $redirectLink = 'index.php?option=com_objectifcarbone&controller=config' ;
		// end of modify
		
        $this->setRedirect( $redirectLink );
        
        if ( !$t_component->store() ) {
            
            JError::raiseWarning( 200, JText::_('ERROR_CONFIG_SAVED') );
           
        } else {
            
            $msg = JText::_('CONFIG_SAVED');
			$this->setRedirect( $redirectLink , $msg );
        }
        
    }
    
    
    /**
     * Restore default configuration
     *
     */
    function defaultConfig()
    {
	    $component =& JComponentHelper::getComponent('com_objectifcarbone');

        $t_component =& JTable::getInstance('component');
       
        $t_component->load( $component->id );
        $t_component->params='';       
        
        
        $redirectLink = 'index.php?option=com_objectifcarbone&controller=config' ;
        $this->setRedirect( $redirectLink );
        
        if ( !$t_component->store() ) {
            
            JError::raiseWarning( 200, JText::_('ERROR_CONFIG_RESTORED') );
           
            
        } else {
            
            $msg = JText::_('CONFIG_RESTORED') ;
			$this->setRedirect( $redirectLink , $msg );
        }

    }
	
	
}
